Subject: Re: [Diffserv] CountActTable

From: "Yacine El Mghazli" <[email-masked]>
Date: Thu, 5 Apr 2001 10:57:21 +0200

In the framework of COPS-PR configuration, is it important to be able to
install/remove/report counters via the DiffServ PIB ? What do think people
involved with the accounting PIB ?
To my mind I hardly understand why one could not install a counter with
COPS-PR in order to monitor it by SNMP, or even to report it via COPS-PR...
I'm also interested in the reasons which made DS PIB authors remove the
CountActTable from the PIB... I guess they must have good ones !

Thanks
Yacine

----- Original Message -----
From: "Brian E Carpenter" <[email-masked]>
To: "Iliff, Tina" <[email-masked]>
Cc: <[email-masked]>
Sent: Wednesday, April 04, 2001 9:25 PM
Subject: Re: [Diffserv] CountActTable

> I don't see the issue for the MIB: it does have counters and nobody is
> proposing to take them away. If you want counters in the PIB, now
> is the time to say so since there will be a new version very soon.
> The model isn't going to answer that question for you.
>
>    Brian
>
> > "Iliff, Tina" wrote:
> >
> > Here are some excerpts from diffserv-model-06:
> >
> > At the lowest level considered here, are individual functional datapath
elements, each with their own configuration parameters
> > and management counters and flags.
> >
> > using a Counter element downstream of the Meter, it might also be used
to help in collecting data for out-of-band management
> > functions such as billing applications.
> >
> > I find these excerpts unclear as to determining if a PIB or MIB or both
should implement a data structure to support the
> > definition of a Counter Action.
> >
> > Tina Iliff
> >
> >           -----Original Message-----
> >           From:   Joel M. Halpern [mailto:[email-masked]]
> >           Sent:   Wednesday, April 04, 2001 12:14 PM
> >           To:     [email-masked]
> >           Subject:        RE: [Diffserv] CountActTable
> >
> >           The Count Action is a diffserv packet handling action.
Including it in a
> >           configuration causes counting to be done.  It sure seems that
this action
> >           ought to be configurable with the PIB, just like every other
Diffserv
> >           packet handling action (Meter, Mark, Drop).  Otherwise, one
would have to
> >           use SNMP to CONFIGURE this element in order to later use SNMP
to retreive
> >           the counts.
> >
> >           This Action is not itself a counter that would go in an
Accounting PIB, or
> >           only in an SNMP MIB.
> >
> >           Yours,
> >           Joel M. Halpern
> >
> >           At 03:13 PM 4/4/01 +0000, Iliff, Tina wrote:
> >
> >           >Yacine,
> >           >
> >           >Like I said, it is just an assumption or a guess.  Someone
else will have
> >           >to answer.  The Accounting PIB may be a good place for a
> >           >counter.  However, I have not taken a look at that draft in a
while.
> >           >
> >           >Tina Iliff
> >           >-----Original Message-----  From:   Yacine El Mghazli
> >
>[<mailto:[email-masked]>mailto:[email-masked]
> >           >l.fr]  Sent:   Wednesday, April 04, 2001 10:07 AM  To:
Iliff, Tina;
> >           >[email-masked]  Subject:        Re: [Diffserv]
CountActTable
> >           >
> >           > > I am just guessing here but it makes more sense to me to
only have a
> >           > count  > action in the MIB and not in the PIB.  I do not
consider
> >           > counting of  packets  > traversing certain datapath
functional elements a
> >           > piece of policy;  however,  > I do consider it as part of a
network nodes
> >           > management.
> >           >
> >           >Do you mean that counting packets is only managed using SNMP
?
> >           >
> >           > > Tina Iliff  >  >  > -----Original Message-----  > From:
Yacine El
> >           > Mghazli  >
[<mailto:[email-masked]>mailto:[email-masked]]
> >            >   > Sent: Wednesday, April 04, 2001 7:39 AM  > To:
[email-masked]  >
> >           > Subject: [Diffserv] CountActTable  >  > In the lattest DS
PIB :  >  >
> >           > Quoted from the draft-ietf-diffserv-pib-03.txt (page 5) :  >
> Action
> >           > Tables  > >      A general extensible framework and examples
of  >
> >           > parameterization  > >      tables for Absolute Drop, Mark
and Count
> >           > actions.  >  > and page 11 :  > > 4.5.1.  DSCP Mark Action
PRC  > >
> >           > (...)  > > 4.5.2.  Absolute Drop Action  >  > So why is
there no Count
> >           > Action Table in the PIB ?  > However there is an
CountActTable in the
> >           > MIB...I feel  > confused.  >  > Thanx  >  > -- Yacine El
Mghazli  >  >

    > ----------------------------------------------------------------------
>
> >            >   Alcatel R&I  >   Software and Services Strategic
Program -
> >           > VIPeR  >   Marcoussis, France  >   Tel  +33 1 69 63 41 87  >
Fax  +33 1
> >           > 69 63 11 69  >   [email-masked]  >  >
> >

    > ----------------------------------------------------------------------
>
>
> _______________________________________________
> diffserv mailing list
> [email-masked]
> http://www1.ietf.org/mailman/listinfo/diffserv
> Archive:
http://www2.ietf.org/mail-archive/working-groups/diffserv/current/maillist.h
tml